# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class AttributeHistogram.UniqueValue

    java.lang.Object
      com.google.api.gbase.client.AttributeHistogram.UniqueValue

Enclosing class:
  AttributeHistogram

    public static class AttributeHistogram.UniqueValue

extends java.lang.Object

A value, as a string, and the number of times the value appears in the result set for the current query.

Method Summary
`int` `getCount()` Gets the number of time this specific value was found.
`java.lang.String` `getValueAsString()` Gets the value itself, as a string.
`java.lang.String` `toString()` Gets the value itself, as a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getCount

    public int getCount()

  Gets the number of time this specific value was found.

### getValueAsString

    public java.lang.String getValueAsString()

  Gets the value itself, as a string.

  Returns:
    string representation for the value

### toString

    public java.lang.String toString()

  Gets the value itself, as a string.

  Overrides:
    `toString` in class `java.lang.Object`